import picodisplay as display
import time

width = display.get_width()
height = display.get_height()

display_buffer = bytearray(width * height * 2)  # 2-bytes per pixel (RGB565)
display.init(display_buffer)

display.set_backlight(1.0)
display.set_pen(255,0,0)
display.clear()
display.set_pen(255,255,255)
display.text("Lade Bilder ...", 25,110,240,3)
display.update()

def setup1():
    blit_image_file (name1)
    display.update()

def setup2():
    blit_image_file (name2)
    display.update()

def setup3():
    blit_image_file (name3)
    display.update()

def setup4():
    blit_image_file (name4)
    display.update()

# This is based on a binary image file (RGB565) with the same dimensions as the screen
# updates the global display_buffer directly
def blit_image_file (filename):
    global display_buffer
    with open (filename, "rb") as file:
        position = 0
        while position < (width * height * 2):
            current_byte = file.read(1)
            # if eof
            if len(current_byte) == 0:
                break
            # copy to buffer
            display_buffer[position] = ord(current_byte)
            position += 1
    file.close()
    

# Do nothing - but continue to display the image
while True:
    name1="werbe1.raw"
    setup1()
    time.sleep(3)
    name2="werbe2.raw"
    setup2()
    time.sleep(3)
    name3="werbe3.raw"
    setup3()
    time.sleep(3)
    name4="werbe4.raw"
    setup4()
    time.sleep(3)